RHNREG_KS(8)

NAME
rhnreg_ks - A program for non interactively registering systems to RHN Satellite or Red Hat Network Classic.

SYNOPSIS

rhnreg_ks [options]

DESCRIPTION

rhnreg_ks is a utility for registering a system with the RHN Satellite or Red Hat Network Classic. It is designed to be used in a non-interactive environment (a kickstart style install, for example). All the information can be specified on the command line or stdin.

OPTIONS

--profilename
    Specify the profile name that should be used as an identifier for the system in RHN Satellite, Red Hat Network Classic

--username
    The username to register the system with under RHN Satellite or Red Hat Network Classic. This can be an existing RHN Satellite or Red Hat Network Classic username, or a new username.

--password
    The password associated with the username specified with the --username option. This is an unencrypted password.

--activationkey
    Specify/use a serial number to associate with the system. This is optional, but activation keys can really simplify the registration process. Learn more about activation keys in the online RHN documentation.

--contactinfo
    This option has been deprecated. Please login to the server web user interface and update your contactinfo.

--nohardware
    Do not probe or upload any hardware information.

--nopackages
    Do not profile or upload any package information.

--novirtinfo
    Do not profile or upload any virtualization information.

--norhnsd
    Do not start rhnsd after completion.

--force
    Register the system even if it has already been registered.

--version
    Show the version of rhnreg_ks.

--proxy
    Specify a HTTP proxy to use.

--proxyUser
    Specify a username to use with an authenticated HTTP proxy.

--proxyPassword
    Specify a password to use with an authenticated HTTP proxy.

--sslCACert
    Specify a path to a SSL CA certificate to use.

--serverUrl
    Specify a URL to as the server.

-h, --help
    Show a help message and exit.

FILES

/etc/sysconfig/rhn/systemid
    The digital server ID for this machine if the system has been registered onto RHN Satellite or Red Hat Network Classic. This file does not exist otherwise.

/etc/sysconfig/rhn/up2date
    The common configuration file used by RHN client programs.

EXAMPLES

Register a new system to Red Hat Network Classic:

    rhnreg_ks --profilename "example_profile_name" --username "someexampleuser" --password "foobar"

Register a new system to Red Hat Network Classic with contact info:

    rhnreg_ks --profilename "example_profile_name" --username "someexampleuser" --password "foobar" --contactinfo < contactinfo

    where the file "contactinfo" contains data in the format:

    first_name: Billy
    last_name: Bob
    company: SomeCompanyName
    city: Springfield
    fax: 555-5555
    phone: 555-5555

SEE ALSO

rhn_check(8), rhn_register(8), rhnsd(8), rhn-profile-sync(8), rhnplugin(8), up2date(5).

AUTHORS

See the AUTHORS file included with this software.

This manual page was written by Adrian Likins <alikins@redhat.com> and James Bowes <jbowes@redhat.com>

BUGS

Report bugs to <http://bugzilla.redhat.com>.

COPYRIGHT

Copyright © 1999-2011 Red Hat, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.